<?php

try {
	// Attributes:
	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");

	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('bannerpro_banners') . '`;');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('bannerpro_campaigns') . '`;');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('bannerpro_groups') . '`;');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('bannerpro_placeholders') . '`;');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('bannerpro_statistics') . '`;');

	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'bannerpro/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'bannerpro_setup'");

	// Files:
	$paths = array(
		'/app/code/community/Plumrocket/Bannerpro/',
		'/app/design/adminhtml/default/default/layout/bannerpro.xml',
		'/app/design/adminhtml/default/default/template/bannerpro/',
		'/app/design/frontend/base/default/layout/bannerpro.xml',
		'/app/design/frontend/base/default/template/bannerpro/',
		'/app/etc/modules/Plumrocket_Bannerpro.xml',
		'/app/locale/en_US/Plumrocket_Bannerpro.csv',
		'/media/bannerpro/empty.js',
		'/skin/adminhtml/default/default/css/plumrocket/bannerpro/',
		'/skin/adminhtml/default/default/images/plumrocket/bannerpro/',
		'/skin/adminhtml/default/default/js/plumrocket/bannerpro/',
		'/skin/frontend/base/default/css/plumrocket/bannerpro/',
		'/skin/frontend/base/default/js/plumrocket/bannerpro/',
		'/skin/frontend/base/default/images/plumrocket/bannerpro/',
	);

	$basePath = dirname(__FILE__);
	foreach ($paths as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>